<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-vcs-clearcase.qdoc -->
  <title>Using ClearCase | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Using ClearCase</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-vcs-bazaar.html" />
  <link rel="next" href="creator-vcs-cvs.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-vcs-bazaar.html">Using Bazaar</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-vcs-cvs.html">Using CVS</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#using-gnu-diffutils-with-clearcase">Using GNU Diffutils with ClearCase</a></li>
<li class="level1"><a href="#checking-out-and-checking-in">Checking out and Checking in</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Using ClearCase</h1>
<span class="subtitle"></span>
<!-- $$$creator-vcs-clearcase.html-description -->
<div class="descr"> <a name="details"></a>
<p>IBM Rational ClearCase is a version control, workspace management, parallel development support, and build automation solution developed by IBM. The ClearCase client plugin is available on Linux and Windows for accessing a ClearCase server.</p>
<a name="using-gnu-diffutils-with-clearcase"></a>
<h2 id="using-gnu-diffutils-with-clearcase">Using GNU Diffutils with ClearCase</h2>
<p>You can use the GNU Diffutils tool With ClearCase to compare files and activities:</p>
<ol class="1" type="1"><li>Download <a href="http://gnuwin32.sourceforge.net/packages/diffutils.htm">Diffutils</a> and extract it to a directory in your PATH.</li>
<li>Select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Version Control</b> &gt; <b>ClearCase</b>.</li>
<li>Select the <b>External</b> radio button. The radio button is disabled if <code>diff</code> is not found in the PATH.</li>
<li>In the <b>Arguments</b> field, specify arguments for running <code>diff</code>.</li>
</ol>
<a name="checking-out-and-checking-in"></a>
<h2 id="checking-out-and-checking-in">Checking out and Checking in</h2>
<p>In addition to the standard version control system functions described in <a href="creator-version-control.html#using-common-functions">Using Common Functions</a>, you can check out and check in files.</p>
<p>To create a writable copy of a file, select <b>Tools</b> &gt; <b>ClearCase</b> &gt; <b>Check Out</b>. If you check out files in a Unified Change Management (UCM) view, they are added to the change set of a UCM activity. By default, the activities are automatically assigned names. To disable this functionality, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Version Control</b> &gt; <b>ClearCase</b>, and then deselect the <b>Automatically assign activity names</b> check box.</p>
<p>To automatically check out files when you edit them, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Version Control</b> &gt; <b>ClearCase</b>, and then select the <b>Automatically check out files on edit</b> check box.</p>
<p>To cancel the checkout for a file and delete the checked-out version, select <b>Tools</b> &gt; <b>ClearCase</b> &gt; <b>Undo Check Out</b>.</p>
<p>To check in checked-out versions of files in the change set of the current UCM activity, select <b>Tools</b> &gt; <b>ClearCase</b> &gt; <b>Check In Activity</b>.</p>
<p>To create a permanent new version of the current file or all files in the versioned object base (VOB), select <b>Tools</b> &gt; <b>ClearCase</b> &gt; <b>Check In</b>. To be asked to confirm that you want to check in the files, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Version Control</b> &gt; <b>ClearCase</b>, and then select the <b>Prompt on check-in</b> check box.</p>
<p>By default, you are asked to enter a comment when checking files out or in. To suppress this prompt, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Version Control</b> &gt; <b>ClearCase</b>, and then select the <b>Do not prompt for comment during checkout or check-in</b> check box.</p>
<p>If you change the read-only attribute of a file that is loaded into a snapshot view and modify the file without checking it out, you <i>hijack</i> the file. To revert a hijacked file to its checked in version, select <b>Tools</b> &gt; <b>ClearCase</b> &gt; <b>Undo Hijack</b>.</p>
<p>By default, the files in the VOBs are indexed for quick access to their statuses. To disable indexing, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Version Control</b> &gt; <b>ClearCase</b>, and then select the <b>Disable indexer</b> check box. To only have some VOBs indexed, specify them in the <b>Index only VOBs</b> field.</p>
</div>
<!-- @@@creator-vcs-clearcase.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-vcs-bazaar.html">Using Bazaar</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-vcs-cvs.html">Using CVS</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
